SCSI_DEVICE_LOOKUP(9)

NAME
scsi_device_lookup - find a device given the host

SYNOPSIS

struct scsi_device * scsi_device_lookup(struct Scsi_Host * shost, uint channel, uint id, u64 lun);

ARGUMENTS

shost
    SCSI host pointer

channel
    SCSI channel (zero if only one channel)

id
    SCSI target number (physical unit number)

lun
    SCSI Logical Unit Number

DESCRIPTION

Looks up the scsi_device with the specified channel, id, lun for a given host. The returned scsi_device has an additional reference that needs to be released with scsi_device_put once you're done with it.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT